% Skript allpass_1.m, in dem die Pole und Nullstellen
% eines IIR-Allpass dargestellt werden

clear;
% ------- Pole der Übertragungsfunktion
r1 = 0.7*exp(j*pi/4);     r2 = conj(r1);
r3 = 0.8;
pole = [r1, r2, r3];
% ------- Nullstellen
z1 = 1/r1;                z2 = conj(z1);
z3 = 1/r3;
nulle = [z1, z2, z3];
% ------- Polynome des Zählers und Nenners
Pnenner = poly(pole);   % Koeffizienten des Nennerss
Qzaehler = poly(nulle);  % Koeffizienten des Zählers
figure(1);
plot(pole,'*'); hold on;
plot(nulle,'o'); 
phi = 0:0.01:2*pi;       % Kreis Radius eins
plot(cos(phi), sin(phi)); grid on;
title('Pol- Nullstellen');   xlabel('Real');
ylabel('Imaginär'); axis square; hold off;
% ------- Übertragungsfunktion
H = tf(Qzaehler/Qzaehler(4), Pnenner,1),